/* 
-------------------------------------------------------------
IMPORT FONTCITO
-------------------------------------------------------------
*/

@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Comfortaa:wght@300..700&display=swap");

/* 
-------------------------------------------------------------
VARIABLES
-------------------------------------------------------------
*/

:root {
  --font-family-cursive: "Great Vibes", cursive;
  --font-family-default: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande";
}

/* 
-------------------------------------------------------------
GENERAL 
-------------------------------------------------------------
*/
* {
  padding: 0;
  margin: 0;
}

body {
  margin: 0px;
  padding: 0px;
  background-size: cover;
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-position: center;
  background-clip: border-box;
}

/*
-------------------------------------------------------------
HEADER
-------------------------------------------------------------
*/

header {
  width: 80%;
  margin-left: 10%;
}

header nav {
  width: 100%;
  height: 60px;
  z-index: 10;
}

header nav.fixed-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 80%;
  margin-left: 0%;
}

header nav ul {
  list-style-type: none;
  margin: 0 2% auto 0;
  padding-left: 0;
  text-align: right;
  max-width: 100%;
}
header nav ul li {
  display: inline-block;
  line-height: 60px;
  margin-left: 10px;
}
header nav ul li a {
  text-decoration: none;
}

.navbar-nav {
  margin-left: auto;
}

/*
-------------------------------------------------------------
SLIDER
-------------------------------------------------------------
*/

.hero-slider {
  width: 80%;
  height: 400px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  position: relative;
  z-index: 0;
  margin-left: 10%;
  padding: 10px;
  margin-top: 50px;
}
.hero-slider .swiper-slide {
  overflow: hidden;
}

.hero-slider .swiper-container {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
}

.hero-slider .slide-inner {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: left;
}

.hero-slider .swiper-button-prev,
.hero-slider .swiper-button-next {
  width: 55px;
  height: 55px;
  line-height: 53px;
  margin-top: -30px;
  text-align: center;
  border-radius: 55px;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
}

.hero-slider:hover .swiper-button-prev,
.hero-slider:hover .swiper-button-next {
  transform: translateX(0);
  opacity: 1;
  visibility: visible;
}

.hero-slider .swiper-button-prev {
  left: 25px;
  transform: translateX(50px);
}

.hero-slider .swiper-button-prev:before {
  font-family: "Font Awesome 5 Free";
  content: "\f060";
  font-size: 15px;
  font-style: normal;
  display: inline-block;
  vertical-align: middle;
  font-weight: 900;
}

.hero-slider .swiper-button-next {
  right: 25px;
  transform: translateX(-50px);
}

.hero-slider .swiper-button-next:before {
  font-family: "Font Awesome 5 Free";
  content: "\f061";
  font-size: 15px;
  font-style: normal;
  display: inline-block;
  vertical-align: middle;
  font-weight: 900;
}

.hero-slider .swiper-pagination-bullet {
  width: 40px;
  height: 2px;
  text-align: center;
  line-height: 12px;
  font-size: 12px;
  opacity: 0.3;
  transition: all 0.2s ease;
  margin: 0 5px;
  border-radius: 0;
}

.hero-slider .swiper-pagination-bullet-active {
  opacity: 1;
}

.hero-slider .swiper-pagination {
  text-align: left;
  position: absolute;
  bottom: 2px;
  width: 100%;
  text-align: center;
}

/* TITLE SUBTITLE SLIDER */
.hero-style {
  height: 400px;
  transition: all 0.4s ease;
}

.hero-style .slide-title,
.hero-style .slide-text,
.hero-style .slide-btns {
  width: 100%;
  text-align: center;
}

.hero-style .slide-title h2 {
  font-size: 100px;
  font-weight: 100;
  font-family: var(--font-family-cursive);
  line-height: 1;
  margin: 0 0 40px;
  text-transform: capitalize;
  transition: all 0.4s ease;
}

.hero-style .slide-text p {
  opacity: 0.8;
  font-size: 32px;
  font-weight: 500;
  line-height: 1.25;
  letter-spacing: normal;
  font-family: var(--font-family-cursive);
  transition: all 0.4s ease;
}

.hero-style .slide-btns > a:first-child {
  margin-right: 10px;
}

.hero-style .slide-bg-image {
  position: relative;
}

.hero-style .slide-bg-image::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.hero-style .autoplay-progress {
  position: absolute;
  bottom: 0;
  left: 0px;
  z-index: 10;
  width: 100%;
  height: 2px;
  display: flex;
  align-items: center;
  justify-content: start;
  transform: scaleX(-1);
  font-weight: bold;
}

.hero-style .autoplay-progress .progressBar {
  width: 100%;
  height: 100%;
}

/*
-------------------------------------------------------------
CONTAINER
-------------------------------------------------------------
*/

.content {
  width: 80%;
  margin-left: 10%;
}

.content .scroll-el {
  margin: 0 auto;
  padding: 0 15px;
}

.content .scroll-el .container .row > div img {
  width: 100%;
  height: auto;
}

.content .scroll-el .container .row h4,
.content .scroll-el .container .row h1,
.content .scroll-el .container .row h2 {
  text-align: center;
  font-family: var(--font-family-cursive);
}

.content .scroll-el .container .line::before {
  content: "";
  position: absolute;
  top: 50%;
  right: -8.5px;
  transform: translateY(-50%);
  border-radius: 50%;
  width: 16px;
  height: 16px;
  z-index: 999;
}

.content .scroll-el .container time {
  font-family: var(--font-family-default);
  letter-spacing: 1px;
  font-weight: 700;
  text-align: right;
}

/*
-------------------------------------------------------------
SCROLL POINT
-------------------------------------------------------------
*/

.content .scroll-control {
  position: fixed;
  right: 0;
  top: 50%;
  font-size: 0;
  transform: translateY(-50%);
  padding: 0px 5px;
}
.content .scroll-control li {
  margin: 10px 0;
}

.content .scroll-control a:link,
.content .scroll-control a:visited {
  display: block;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  transition: all 0.3s;
}

.content .scroll-selected {
  transition: all 0.3s;
}

/*
-------------------------------------------------------------
FOOTER
-------------------------------------------------------------
*/

footer {
  width: 80%;
  margin-left: 10%;
}

@media only screen and (max-width: 960px) {
  header {
    width: 100%;
    margin-left: 0;
  }
  header nav.fixed-header {
    width: 100%;
    margin-left: 0;
  }
  .content .container {
    width: 100% !important;
    margin-left: 0;
    max-width: 100% !important;
  }

  .content {
    width: 100%;
    margin-left: 0;
  }

  .hero-slider {
    width: 100% !important;
    margin: 0 !important;
  }

  .hero-style .slide-title h2 {
    font-size: 50px;
    margin-top: 35px;
  }
  .hero-style .slide-text p {
    font-size: 25px;
  }

  footer {
    width: 100%;
    margin-left: 0;
  }
}

::-webkit-scrollbar {
  width: 6px;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
}

/*
-----------------------------------------------------------
 © Maicol | 2024 
-----------------------------------------------------------
*/
